/*  https://github.com/ionic-team/stencil/issues/2291 */
@import "../global/fontawesome.min.css";
@import "../global/conversation.css";

#conversation {
  max-width: 692px;
  display: flex;
  flex-flow: column;
}

.conversation__statistics {
  margin: 0 0 14px 0;
}

.conversation__title {
  margin: 0 0 30px 0;
}

.conversation__info {
  margin: 0 0 17px 0;
}

.conversation__comment {
  margin: 0 0 31px 0;
}

.conversation__progress .percentage span,
.conversation__progress .comments-count span
{
  font-family: 'Lexend Exa' !important;
}

.conversation__statistics span,
.conversation__buttons span,
.conversation__progress .percentage span,
.conversation__progress .percentage span::after,
.conversation__progress .comments-count span,
.comments-new span
{
  font-weight: bold;
}
.conversation__info {
  display: flex;
  column-gap: 28px;
  row-gap: 1rem;
  flex-wrap: wrap;
}

.conversation__progress .comments-count,
.conversation__progress .percentage span,
.conversation__comment span
{
  color: var(--black-color);
}


.conversation__progress .comments-count,
.comments-new span,
.conversation__progress .percentage span
{
  font-size: .75rem;
}
.conversation__progress .comments-count {
  padding: .2rem 0 0 0;
}
.conversation__progress .comments-count span,
.comments-new div span {
  text-transform: uppercase;
}
.comments-new > * {
  color: var(--grey-color);
  cursor: pointer;
}
.conversation__progress .comments-new span {
  font-size: .75rem;
  font-weight: bold;
}
.conversation__progress {
  gap: 14px;
}
.conversation__progress .percentage span::after {
  content: "%";
}
.conversation__progress .progress-bar {
  width: 99px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.conversation__progress .progress-bar__background {
  width: 100%;
  border-radius: .75rem;
  height: .5rem;
  background-color: var(--white-color);
  border: 1px solid var(--black-color);
  position: absolute;
  z-index: 1;
}
.conversation__progress .progress-bar__progress {
  border-radius: .75rem;
  height: .5rem;
  background-color: black;
  z-index: 2;
  position: absolute;
}

.comments-new {
  display: flex;
  justify-content: center;
  gap: 11px;
}

.conversation__comment {
  width: 100%;
  position: relative;
}
.conversation__comment span {
  position: absolute;
  left: 1000px;
  opacity: 0;
  width: 100%;
}
.conversation__comment--translate {
  transition: 0.5s ease-in-out;
  transform: translate(-1000px);
  opacity: 1 !important;
}
.conversation__comment span,
.conversation__comment p {
  font-size: 2.25rem;
  font-weight: 300;
  margin: unset;
}
.conversation__buttons {
  margin: 1rem auto 0 auto;
  max-width: 424px;
  flex-wrap: wrap;
  gap: 1rem;
}
.conversation__buttons button {
  border: unset;
  border-radius: 5px;
  width: 128px;
  box-sizing: content-box;
}
.conversation__buttons i {
  margin: 0 8px 0 0;
}
.conversation__buttons #agree {
  background-color: var(--success-color);
  color: var(--white-color);
}
.conversation__buttons #disagree {
  background-color: var(--danger-color);
  color: var(--white-color);
}
.conversation__buttons #skip {
  background-color: var(--color-primary);
  border: 1px solid black;
}

#agree:hover {
  background-color: var(--success-color-darker);
}
#disagree:hover {
  background-color: var(--danger-color-darker);
}

.flex {
  display: flex;
}
.flex-justify-content-between {
  justify-content: space-between;
}

.disclaimer-text {
  font-style: italic;
  font-size: 12px;
  font-weight: 500;
  color: var(--grey-color);
  margin-top: 70px;
  text-align: center;
}

@media only screen and (max-width: 559px) {
  .register-card {
    width: 85vw;
    padding: 1rem;
    margin: 2rem auto;
    max-width: unset;
  }
}

@media only screen and (max-width: 700px) {
  .conversation__info {
    max-width: 316px;
  }
  .conversation__buttons {
    justify-content: center;
  }
}

@media only screen and (max-width: 428px) {
  .disclaimer-text {
    margin: 1rem 0 1rem 0;
  }
  .conversation__comment span,
  .conversation__comment p {
    font-size: 1.5rem;
  }
}


@media only screen and (max-width: 375px) {
  h2 {
    font-size: 2rem;
  }
  .conversation__title {
    margin: 15px 0 !important;
    overflow-y: scroll;
    max-height: 160px;
  }
  .conversation__buttons {
    margin: 20px 0 0 0 !important;
  }
  .action-button button {
    font-size: .65rem !important;
  }

}

@media only screen and (max-width: 320px) {
  .conversation__title {
    margin: 15px 0 !important;
    overflow-y: scroll;
    max-height: 150px;
  }
  .conversation__comment {
    max-height: 120px;
    overflow-y: scroll;
    margin: unset !important;
  }
}
